# Retrieve a single v3 status page by id. - Checkly Docs

> Get a v3 (components-based) status page. Components and automation rules have their own endpoints.

Source: https://www.checklyhq.com/docs/api-reference/status-pages-v3/retrieve-a-single-v3-status-page-by-id/

---

Retrieve a single v3 status page by id.

```
curl --request GET \
--url https://api.checklyhq.com/v3/status-pages/{statusPageId} \
--header 'Authorization: Bearer '
```

```
import requests

url = "https://api.checklyhq.com/v3/status-pages/{statusPageId}"

headers = {"Authorization": "Bearer "}

response = requests.get(url, headers=headers)

print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: 'Bearer '}};

fetch('https://api.checklyhq.com/v3/status-pages/{statusPageId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
```

```
"https://api.checklyhq.com/v3/status-pages/{statusPageId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer "
],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
```

```
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.checklyhq.com/v3/status-pages/{statusPageId}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer ")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
```

```
HttpResponse response = Unirest.get("https://api.checklyhq.com/v3/status-pages/{statusPageId}")
.header("Authorization", "Bearer ")
.asString();
```

```
require 'uri'
require 'net/http'

url = URI("https://api.checklyhq.com/v3/status-pages/{statusPageId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer '

response = http.request(request)
puts response.read_body
```

```
{
"name": " ",
"url": " ",
"id": " ",
"accountId": " ",
"version": 3,
"created_at": "2023-12-25",
"description": " ",
"customDomain": " ",
"themeColors": {
"light": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
},
"dark": {
"bodyBackgroundColor": " ",
"headerBackgroundColor": " ",
"headerFontColor": " ",
"titleFontColor": " ",
"bodyFontColor": " ",
"bodyFontColorMuted": " ",
"navigationFontColor": " ",
"linkFontColor": " ",
"cardBackgroundColor": " ",
"borderColor": " ",
"primaryButtonBackgroundColor": " ",
"primaryButtonFontColor": " "
}
},
"logo": " ",
"logoDark": " ",
"redirectTo": " ",
"favicon": " ",
"defaultTheme": "AUTO",
"privacyPolicyLink": " ",
"termsOfServiceLink": " ",
"supportLink": " ",
"footerText": " ",
"googleAnalyticsTag": " ",
"allowIndexing": true,
"isPrivate": true,
"updated_at": "2023-12-25"
}
```

```
{
"statusCode": 401,
"error": "Unauthorized",
"message": "Bad Token",
"attributes": {}
}
```

```
{
"statusCode": 403,
"error": "Forbidden",
"message": "Forbidden"
}
```

```
{
"statusCode": 404,
"error": "Not Found",
"message": "Not Found"
}
```

```
{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Too Many Requests",
"attributes": {}
}
```

Status Pages

# Retrieve a single v3 status page by id.

Get a v3 (components-based) status page. Components and automation rules have their own endpoints.

GET

/

v3

/

status-pages

/

{statusPageId}

Retrieve a single v3 status page by id.

```
#### Authorizations

​

Authorization

string

header

required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key [here](https://app.checklyhq.com/settings/user/api-keys). Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: `curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"`

#### Headers

​

x-checkly-account

string

Your Checkly account ID, you can find it at [https://app.checklyhq.com/settings/account/general](https://app.checklyhq.com/settings/account/general)

#### Path Parameters

​

statusPageId

string

required

#### Response

Successful

​

name

string

required

​

url

string

required

​

id

string

required

​

accountId

string

required

​

version

enum<integer>

required

Available options: `3`

​

created_at

string<date>

required

​

description

string | null

Maximum string length: `500`

​

customDomain

string | null

A custom user domain, e.g. "status.example.com". See the docs on updating your DNS and SSL usage.

​

themeColors

object | null

Show child attributes

​

logo

string | null

​

logoDark

string | null

​

redirectTo

string | null

​

favicon

string | null

​

defaultTheme

enum<string>

default: AUTO

Available options: `LIGHT`,

`DARK`,

`AUTO`

​

privacyPolicyLink

string | null

Maximum string length: `255`

​

termsOfServiceLink

string | null

Maximum string length: `255`

​

supportLink

string | null

Maximum string length: `255`

​

footerText

string | null

Maximum string length: `1000`

​

googleAnalyticsTag

string | null

Maximum string length: `255`

Pattern: `^[A-Za-z0-9-]+$`

​

allowIndexing

boolean

​

isPrivate

boolean

​

updated_at

string<date> | null

Was this page helpful?

[Suggest edits](https://github.com/checkly/docs/edit/main/api-reference/status-pages-v3/retrieve-a-single-v3-status-page-by-id.mdx)[Raise issue](https://github.com/checkly/docs/issues/new?title=Issue%20on%20docs&body=Path:%20/api-reference/status-pages-v3/retrieve-a-single-v3-status-page-by-id)

[Create a new v3 status page. Previous](https://www.checklyhq.com/docs/api-reference/status-pages-v3/create-a-new-v3-status-page)[Update an existing v3 status page. Next](https://www.checklyhq.com/docs/api-reference/status-pages-v3/update-an-existing-v3-status-page)

[x](https://x.com/checklyhq)[github](https://github.com/checkly)[linkedin](https://linkedin.com/company/checkly)

[Powered by This documentation is built and hosted on Mintlify, a developer documentation platform](https://www.mintlify.com/?utm_campaign=poweredBy&utm_medium=referral&utm_source=checkly-422f444a)
